vlib work
vlib I2CLib

vmap I2CLib I2CLib

vcom -93 -quiet -pedanticerrors -lint +acc=v -work I2CLib ../I2CPkg.vhdl
vcom -93 -quiet -pedanticerrors -lint +acc=v -work I2CLib ../I2CSimpleMaster.vhdl
vcom -93 -quiet -pedanticerrors -lint +acc=v -work I2CLib ../I2CController.vhdl

vcom -93 -quiet -lint I2CController_TB.vhdl
vsim -quiet -voptargs="+acc" I2CController_TB

# Initilise Memory
mem load -filltype value -filldata 0 -fillradix symbolic -skip 0 UUT/regFile

configure wave -gridperiod 20000;
configure wave -griddelta 10
configure wave -signalnamewidth 1

view wave -undock

add wave -height 20 -color powderBlue											clk
add wave -height 20 -color cyan													reset

add wave -divider "I2C"
add wave -height 20 -color powderBlue											scl
add wave -height 20 -color green													sda

add wave -divider "I2C Simple Master"
add wave -height 20 -color powderBlue											UUT/i2c_enable
add wave -height 20 -color powderBlue											UUT/i2c_operation
add wave -height 20 -color powderBlue											UUT/i2c_done
add wave -height 20 -color powderBlue											UUT/i2c_dataMstr2Bus
add wave -height 20 -color powderBlue											UUT/i2c_dataBus2Mstr

add wave -divider "Ack errors"
add wave -height 20 -color orangeRed											UUT/i2c_slaveAck
add wave -height 20 -color fireBrick -unsigned								ackErrors

add wave -divider "Controller Output"
add wave -height 20 -color khaki -unsigned									dOutAdd
add wave -height 20 -color khaki -hex											dOut
add wave -height 20 -color khaki 												newData

add wave -divider "State Machine"
add wave -height 20 -color yellow -unsigned									UUT/insnAdd
add wave -height 20 -color gold													UUT/state
add wave -height 20 -color goldenRod											UUT/currentInsn.op
add wave -height 20 -color goldenRod											UUT/currentInsn.data
add wave -height 20 -color goldenRod											UUT/currentInsn.arg
add wave -height 20 -color orange												UUT/matchFlag

add wave -divider "Held & Notify"
add wave -height 20 -color paleGreen											UUT/notify
add wave -height 20 -color paleGreen											UUT/held

add wave -divider "Delay"
add wave -height 20 -color powderBlue -unsigned								UUT/delayCount
add wave -height 20 -color cyan -unsigned										UUT/delayTimer

add wave -divider "Reg File"
for {set x 0} {$x<8} {incr x} {
	add wave -height 20 -color white -hex										UUT/regFile($x)
}

run 100 ms
