vlib work
vlib I2CLib

vmap I2CLib I2CLib

vcom -93 -quiet -pedanticerrors -lint +acc=v -work I2CLib ../I2CPkg.vhdl
vcom -93 -quiet -pedanticerrors -lint +acc=v -work I2CLib ../I2CSimpleMaster.vhdl

vcom -93 -quiet -pedanticerrors -lint +acc=v I2CSimpleMaster_TB.vhdl
vsim -t 1ns -quiet -voptargs="+acc" I2CSimpleMaster_TB

configure wave -gridperiod 5000;
configure wave -griddelta 10
configure wave -signalnamewidth 1

view wave -undock

add wave -height 20 -color orange												clk
add wave -height 20 -color orange												reset

add wave -divider "Request"
add wave -height 20 -color orange												operation
add wave -height 20 -color orange												enable
add wave -height 20 -color orange												done
add wave -height 20 -color seaGreen -hex										dataMstr2Bus
add wave -height 20 -color paleGreen -hex										dataBus2Mstr
add wave -height 20 -color fireBrick											slaveAck

add wave -divider "Master"
add wave -height 20 -color powderBlue											UUT/state
add wave -height 20 -color aquamarine											UUT/op

add wave -divider "Delay Timer"
add wave -height 20 -color yellow -unsigned									UUT/delayEnable
add wave -height 20 -color goldenRod -unsigned								UUT/timer

add wave -divider "I2C"
add wave -height 20 -color khaki													scl
add wave -height 20 -color white													sda

run 400 us

